/* Reset CSS */
html,
body,
div,
span,
applet,
object,
iframe,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
fieldset,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

body {
  line-height: 1;
}

ol,
ul {
  list-style: none;
}

.text-right { text-align:right; }


blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}
body {
  font-family: Arial, sans-serif;
}


h2 {
    display: block;
    font-size: 1.5em;
    margin-block-start: 0.83em;
    margin-block-end: 0.83em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
    unicode-bidi: isolate;
}
p {
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    unicode-bidi: isolate;
    line-height: 22px;
}

ol, ul li { line-height: 22px; }  
/* Hero Section */
.hero {
  background: linear-gradient(to right, #003366, #0066cc);
  background-image: url("../img/hero.webp");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  color: white;
  min-height: 650px;
  text-align: left;
  margin-bottom: 50px;
  padding-top: 40px;
}
.label { padding:5px; }

.hero h1 {
  font-size: 3.5rem;
  font-weight: bold;
}

.hero p {
  font-family: sans-serif;
    font-size: 18px;
    margin: 10px;
    line-height: 20px;
}

/* Multi-step Navigation */
.steps {
  /* margin: 47px 0; */
  display: flex;
  justify-content: center;
  /* gap: 30px; */
  align-items: center;
  padding: 60px 0;
}

.steps .step {
  text-align: center;
  cursor:pointer;
}

.centerdiv { margin: 0 auto; }

#goBack:hover {  cursor:pointer; }

.steps .step i {
  font-size: 2rem;
  color: #0066cc;
}

.steps .step span {
  display: block;
  margin-top: 10px;
  font-weight: bold;
  font-size: 14px;
}
.steps .step h5 {
  display: block;
  margin-top: 10px;
  font-weight: bold;
  font-size: 20px;
}
/* .steps .step img {
            width: 95px;
        } */
.steps .active h5,
.steps .active p,
.steps .active span {
  color: #0066cc;
}
.card > h1 {
    font-size: 2rem;
}
/* Product Cards */
.product-card {
  text-align: center;
  border: 1px solid #ddd;
  border-radius: 10px;
  padding: 20px 0 0;
  transition: transform 0.3s;
  background: #f5f5f5;
  margin: 20px;
  position:relative;
  cursor:pointer !important;
  display: block;
  text-decoration: none;
  color: #333;
}
.carousel-control-prev-icon::after,.carousel-control-next-icon::after {visibility: hidden !important;}
.product-card img {
  width: 100%;
  margin-bottom: 15px;
}

.product-card:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  cursor:pointer !important;
}

/* How to Install */
.how-to-install {
  background: #fff;
  padding: 50px 20px;
  /*margin-bottom: 100px;*/
}
.bg-gray {
  background: #f5f5f5;
  border-radius: 40px;
}

.how-to-install h2 {
  text-align: center;
  margin-bottom: 70px;
  font-size: 48px;
  font-weight: bold;
}

.how-to-install .step-card {
  border: 1px solid #ddd;
  border-radius: 20px;
  padding: 30px;
  text-align: left;
  background: white;
}

.how-to-install .step-card i {
  font-size: 2rem;
  color: #0066cc;
}
.how-to-install .step-card h2 {
  font-size: 24px;
  color: #0066cc;
  text-align: left;
  margin: 20px 0;
}
.how-to-install .step-card p {
  line-height: 24px;
}

.how-to-install .step-1 h2 {
  color: #0066cc;
}
.how-to-install .step-2 h2 {
  color: #ff0053;
}
.how-to-install .step-3 h2 {
  color: #68cc45;
}
.how-to-install .step-4 h2 {
  color: #ac39ff;
}
.how-to-install .step-5 h2 {
  color: #ea5418;
}

.iconbox {
  background: hsl(0deg 0% 100% / 70%);
  border-radius: 18px;
  -webkit-box-flex: 0;
  -ms-flex: 0 0 calc(0.4 * 365px);
  flex: 0 0 calc(0.4 * 365px);
  -ms-flex: 0 0 80%;
  flex: 0 0 80%;
  max-width: -webkit-fit-content;
  max-width: -moz-fit-content;
  max-width: fit-content;
  margin: var(--spacing) calc(var(--spacing) / 2);
  height: auto;
  display: inline-block;
  scroll-snap-align: start;
  -webkit-backdrop-filter: saturate(180%) blur(20px);
  backdrop-filter: saturate(180%) blur(20px);
  -webkit-box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.06);
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.3);
  padding: 20px 30px;
}
.icon-txt {
  width: 285px;
}
.icon-txt h5 {
  font-size: 18px;
  padding-bottom: 6px;
}
.icon-txt p {
  font-size: 14px;
}
/* NEW */
.iconbox {
    /*padding: 25px;*/
    padding: 0 10px;
    border: 1px solid #ddd;
    border-radius: 10px;
    background-color: #f8f9fa;
    text-align: left;
    margin: 10px;
}

.iconbox .img-icon img {
    max-width: 100%;
    height: auto;
}

.iconbox .icon-txt h3 {
    font-size: 1.2rem;
    font-weight: bold;
    margin: 5px 0 0 0;
    padding: 0;
}

.iconbox .icon-txt p {
    font-size: 0.9rem;
    color: #666;
    margin: 5px 0;
}
.iconbox .icon-txt span {
    font-size: 0.6rem !important;
    color: #666;
}

/* Adjust dot styles */
.slick-dots li button:before {
    color: #333;
}

.slick-dots li.slick-active button:before {
    color: #007bff;
}
/* Footer */
footer {
  background: #f5f5f5;
  color: #6e6e73;
  padding: 80px 0 10px;
  text-align: center;
}

footer a {
  color: #6e6e73;
  text-decoration: none;
  padding: 16px;
}

footer a:hover {
  text-decoration: underline;
}

footer p {
  margin: 30px 0;
}
.carousel-inner {
  overflow: unset;
}
.footer-content {
  margin: 0 auto;
}
footer hr {
  width: 30%;
  margin: 26px auto;
}
footer i {
  font-style: italic;
}
.border-line {
  width: 10%;
  height: 5px;
  background: #7d7a7b;
  margin-top: -55px;
}
.carousel-control-prev {
  left: 40%;
}
.carousel-control-next {
  right: 40%;
}
.carousel-control-next,
.carousel-control-prev {
  top: 130px;
}
.carousel-control-next-icon,
.carousel-control-prev-icon {
  background-color: black; /* Replace with your desired color */
  border-radius: 50%; /* Optional: Makes it circular */
  background-size: 18px;
}
.card-txt {
  background: #fff;
  padding: 20px;
  border-radius: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  postition:absolute;
  bottom:0;
  width:100%;
  color: #333;
}
.card-txt > h5 {
    margin: 0;
} 
.p-80 {
  padding: 80px;
}
.pt-80 {
  padding-top: 80px;
}
.mb-80 {
  margin-bottom: 80px;
}
.mb-0 {
  margin-bottom: 0px;
}
.installbox img {
  width: 50px;
  margin-right: 10px;
}
.installbox h3 {
  font-size: 18px;
  font-weight: bold;
}
.border-line.active {
  background: #0066cc;
}
.header-banner {
  background: linear-gradient(to right, #003366, #0066cc);
  background-image: url("../img/identifirbg.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  color: white;
  /* min-height: 650px; */
  text-align: left;
  margin-bottom: 50px;
  padding-top: 40px;
}

.header-banner h1 {
  font-size: 4rem;
  font-weight: bold;
  padding-bottom: 15px;
}

.header-banner h3 {
  font-size: 2rem;
  margin-top: 10px;
  padding-bottom: 15px;
}
.bannerleft {
  padding: 60px;
}

#carouselExampleIndicators > button.carousel-control-prev {
  left: -40px;
  width: auto;
  top: 0;
  color: #fff;
  text-decoration: none;
  outline: 0;
  opacity: 1;
}
#carouselExampleIndicators > button.carousel-control-next {
  right: -40px;
  width: auto;
  top: 0;
  color: #fff;
  text-decoration: none;
  outline: 0;
  opacity: 1;
}
#carouselExampleIndicators
  > button.carousel-control-prev
  > span.carousel-control-prev-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23007bff'%3e%3cpath d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/%3e%3c/svg%3e");
}
#carouselExampleIndicators
  > button.carousel-control-next
  > span.carousel-control-next-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23007bff'%3e%3cpath d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

#carouselExampleIndicators
  > button.carousel-control-prev
  > span.carousel-control-prev-icon,
#carouselExampleIndicators
  > button.carousel-control-next
  > span.carousel-control-next-icon {
  background-color: #f3f9fb;
  background-size: 25px;
  padding: 30px;
  border: 10px solid #fff;
}

.carousel-indicators {
  position: absolute;
  /* right: 0; */
  bottom: 60px;
  left: 0;
  z-index: 2;
  display: flex;
  justify-content: start;
  padding: 0;
  margin-right: 15%;
  margin-bottom: 1rem;
  margin-left: 5%;
  list-style: none;
}
.carousel-indicators [data-bs-target] {
  width: 10px;
  height: 10px;
  border-radius: 50%;
}
.carousel-indicators .active {
  width: 12px;
  height: 12px;
  border-radius: 50%;
}
.identifiers-step {
  padding: 70px 0;
}
.navbar-light .navbar-toggler-icon { background-image: var(--bs-navbar-toggler-icon-bg) !important;}
.tabs-section .nav-tabs {
  background: #efeff0;
  border: 3px solid #efeff0;
  border-radius: 5px;
  box-shadow: 0 7px 13px 0 rgba(16, 24, 40, 0.3);
}
.tabs-section .nav-tabs .nav-link {
  font-size: 15px;
  font-weight: bold;
}
.tabs-section .nav-tabs .nav-link.active,
.tabs-section .nav-tabs .nav-item.show .nav-link {
  border: none;
  border-radius: 5px;
  font-size: 15px;
  font-weight: bold;
  margin: 0;
}

.tabs-section .nav-tabs .active:hover {
  border: none;
  border-radius: 5px;
  font-size: 15px;
  font-weight: bold;
  margin: 0;
  background: #fff;
}
.signed-title {
  font-size: 24px;
  font-weight: bold;
  color: #0077f0;
  padding-bottom: 16px;
}
.tab-panel p {
  padding-bottom: 16px;
}
tr.firmware {
  border-bottom: 1px solid #efeff0;
      cursor: pointer !important;

}
.table > :not(caption) > * > * {
  text-align: center;
  padding: 1.6rem 0;
  font-size: 16px;
  vertical-align: middle;
}
.text-success-my {
  color: #2cab00 !important;
  font-weight: bolder;
  text-align: left !important;
}
.text-danger-my {
  color: #ef0c0c !important;
  font-weight: bolder;
  text-align: left !important;
}
.tab-panel {
  border: 1px solid #efeff0;
  border-radius: 20px;
  padding: 32px;
}
.w-20 {
  width: 20px;
}
.heading {
  text-align: center;
  margin-bottom: 80px;
}
.heading h1 {
  font-size: 24px;
  font-weight: bold;
  text-align: center;
}
.heading h1 > span {
  color: #0077f0;
}
.heading hr {
  color: #0077f0;
  background-color: #0077f0;
  width: 280px;
  margin: 15px auto;
  height: 4px;
  opacity: 1;
  border-radius: 10px;
}
.downloadbox {
  border: 1px solid #efeff0;
  border-radius: 20px;
  padding: 32px;
}
.downloadbox > table > tbody > tr > td {
  text-align: left;
}
.downloadbox > table > tbody > tr > td > b {
  font-weight: bold;
}
 /* Basic styling for the popup */
    #adBlockerPopup {
      display: none;
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.7);
      color: white;
      text-align: center;
      padding: 50px;
      font-size: 20px;
      z-index: 9999;
    }

    #adBlockerPopup .message {
        margin: 20px auto;
        width: 500px;
        background: #fff;
        color: #333;
        padding: 50px;
        border-radius: 10px;
    }

    #adBlockerPopup button {
        padding: 10px 20px;
        background-color: red;
        color: white;
        border: none;
        cursor: pointer;
        margin-top: 15px;
        border-radius: 6px;
    }
    
    strong { font-weight:bold;}
    
    /* Hide the popup once ad blocker is off */
    body.adblock-off #adBlockerPopup {
      display: none;
    }
    #leftads img , #rightads img{position:sticky; top:50px;}
    
    .accordion-button:not(.collapsed) {
        background: #113b6d;
        color: #fff;
        font-size: 25px;
    }
    h2.accordion-header { margin:0px !important; }
/* Media Query for Mobile */
@media (max-width: 768px) {
    .hero {
        padding: 50px 15px;
    }

    .hero h1 {
        font-size: 2.5rem;
    }

    .hero p {
        font-size: 1.2rem;
    }
  .table {
    display: block;
    overflow-x: auto; /* Make the table scrollable horizontally */
    white-space: nowrap; /* Prevent wrapping of text */
  }

  .table td {
    display: block; /* Stack table content */
    width: 100%; /* Full width */
    text-align: left; /* Align text to the left */
    padding: 8px 5px; /* Adjust padding */
    border-bottom: 1px solid #ddd; /* Optional: Add a separator for rows */
  }
  .table tr {
    display: block;
    margin-bottom: 10px; /* Add spacing between rows */
  }
  .carousel-control-next {
    right: 30%;
}
.carousel-control-prev {
    right: 30%;
}
.carousel-control-next, .carousel-control-prev {
    top: 120%;
}
.steps {
    flex-direction: row; /* Stack steps vertically */
    align-items: flex-start; /* Align items to the left */
  }

  .steps .step {
    flex: auto; /* Remove flex for stacked items */
    width: 100%; /* Full width for each step */
    text-align: center; /* Align text to the left */
  }

  .steps .step img {
    width: 60px; /* Smaller image for mobile */
  }

  .steps .step span, .steps .step h5 {
    font-size: 14px; /* Adjust font sizes */
    margin-top: 5px; /* Reduce spacing */
  }

  .steps .border-line {
    background: #e0e0e0; /* Light gray for contrast */
    width: 30%;
    height: 5px;
    margin-top: 35px;
  }
  .border-line.active {
    background: #0066cc;
}
  .bg-gray {
    padding: 40px 15px; /* Reduce padding for very small screens */
  }
  .how-to-install h2 { font-size: 40px; }
  .how-to-install { margin-bottom:50px; }
  .header-banner h1 { font-size: 14px; margin: 10px; }
  .header-banner h3 { 
    font-size: 10px;
    margin: 10px;
    padding: 0;}
    .bannerleft {
        padding: 0px 15px;
        width: 65%;
    }
    .header-banner { margin: 0; padding: 0; }
  #carouselExampleIndicators > button.carousel-control-prev > span.carousel-control-prev-icon, #carouselExampleIndicators > button.carousel-control-next > span.carousel-control-next-icon {
    
    background-size: 25px;
    padding: 15px;
    border: 5px solid #fff;
}
.carousel-indicators { bottom: -20px; }
.carousel-control-prev-icon::after,.carousel-control-next-icon::after { display: none;}
#carouselExampleIndicators > button.carousel-control-prev {
    left: 0;
    width: 0;
}
#carouselExampleIndicators > button.carousel-control-next {
    right: 0;
    width: 0;
}
.bannerright { width: 35%; }
.steps {
    padding: 30px 0;
}
.top-header { margin-top: 20px; }
.heading { margin-bottom: 35px; }
footer { padding-top: 50px; }
.iconbox { margin-bottom: 10px; }


}

@media (min-width: 992px) {
    .hero .heroleft {
        text-align: left;
    }

    .hero .heroright {
        text-align: right;
    }
}


#firmwareSlider { padding: 0 50px;}


